<template>
  <div>
    <section class="hero is-primary">
      <div class="hero-body">
        <div class="container">
          <div class="media-content">
            <h1 class="title">
              {{ $t('wishlist_title') }}
            </h1>
            <div class="subtitle">
              {{ $t('wishlist_subtitle') }}
            </div>
          </div>
        </div>
      </div>
    </section>
    <section class="container">
      <main class="content">
        <div class="columns is-multiline">
          <div
            v-for="category in list"
            :key="category.id"
            class="column is-half-tablet"
          >
            <h2>{{ category.name }}</h2>
            <!-- eslint-disable-next-line vue/no-v-html -->
            <div
              v-if="category.summary"
              v-html="category.summary"
            />
            <article
              v-for="gift in category.gifts"
              :key="gift.id"
              class="message"
              :class="gift.needed ? 'is-info' : 'is-warning'"
            >
              <div class="message-header">
                <span class="tag">{{ gift.needed ? $t('need') : $t('want') }}</span>
                <span>{{ gift.name }}</span>
              </div>
              <div class="message-body">
                <template v-if="gift.description">
                  <!-- eslint-disable-next-line vue/no-v-html -->
                  <div v-html="gift.description" />
                </template>
                <template v-if="gift.criteria">
                  <span class="title is-6 mt-3 mb-0 is-inline-block">{{ $t('criteria') }}</span>
                  <!-- eslint-disable-next-line vue/no-v-html -->
                  <div v-html="gift.criteria" />
                </template>
              </div>
            </article>
          </div>
        </div>
      </main>
    </section>
  </div>
</template>

<script setup lang="ts">
const { fetchWishlist } = useWishlist()
const list = await fetchWishlist()
</script>

<style lang="scss" scoped>
main {
  margin: 20px 0;
}
</style>
